## org.apache.batik.util.gui.resource
Class JToolbarToggleButton.MouseListener

    java.lang.Object
      java.awt.event.MouseAdapter
          org.apache.batik.util.gui.resource.JToolbarToggleButton.MouseListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener

Enclosing class:
  JToolbarToggleButton

    protected class JToolbarToggleButton.MouseListener

extends java.awt.event.MouseAdapter

To manage the mouse interactions.

Constructor Summary
`protected` `JToolbarToggleButton.MouseListener()`

Method Summary
`void` `mouseEntered(java.awt.event.MouseEvent ev)`
`void` `mouseExited(java.awt.event.MouseEvent ev)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseDragged, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JToolbarToggleButton.MouseListener

    protected JToolbarToggleButton.MouseListener()

Method Detail

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent ev)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseEntered` in class `java.awt.event.MouseAdapter`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent ev)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseExited` in class `java.awt.event.MouseAdapter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.